Package org.eclipse.gef.fx.swt.canvas

# Interface IFXCanvasFactory

public interface IFXCanvasFactory
The `IFXCanvasFactory` provides a method for the creation of an `FXCanvas` inside a `Composite`. Using the `IFXCanvasFactory` allows to exchange the `FXCanvas` implementation.

## Method Summary

Modifier and Type
Method
Description
`javafx.embed.swt.FXCanvas`
`createCanvas(Composite parent, int style)`
Creates an `FXCanvas` inside of the given `Composite`.

## Method Details

### createCanvas

javafx.embed.swt.FXCanvas createCanvas(Composite parent, int style)
Creates an `FXCanvas` inside of the given `Composite`.

Parameters:
  `parent` - The parent `Composite` for the `FXCanvas` that is created.
  `style` - The SWT style bits to be used for the `FXCanvas` that gets created.
Returns:
  The new `FXCanvas` that was created as a child of the given `Composite`.